package java.security;

import java.security.spec.AlgorithmParameterSpec;

public abstract class AlgorithmParameterGeneratorSpi
{
    public AlgorithmParameterGeneratorSpi() {
    }
    
    protected abstract void engineInit(int p0, SecureRandom p1);
    
    protected abstract void engineInit(AlgorithmParameterSpec p0, SecureRandom p1) throws InvalidAlgorithmParameterException;
    
    protected abstract AlgorithmParameters engineGenerateParameters();
}
